package net.northking.cctp.testbug.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;
import java.util.Map;

@ApiModel(description = "业务规则配置信息")
public class BusinessRuleDto {
    /**
     * 规则编号<br>
     */
    @ApiModelProperty("规则编号")
    private String ruleNo;

    /**
     * 是否生效<br>
     */
    @ApiModelProperty("是否生效，0-不生效，1-生效")
    private String isValid;

    /**
     * 项目id<br>
     */
    @ApiModelProperty("项目id")
    private String projectId;

    private Map<String,Object> dataMap;
    private List<String> ruleNoList;
    private Map<String,BusinessRuleDto> ruleConfigMap;

    public String getRuleNo() {
        return ruleNo;
    }

    public void setRuleNo(String ruleNo) {
        this.ruleNo = ruleNo;
    }

    public String getIsValid() {
        return isValid;
    }

    public void setIsValid(String isValid) {
        this.isValid = isValid;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public Map<String, Object> getDataMap() {
        return dataMap;
    }

    public void setDataMap(Map<String, Object> dataMap) {
        this.dataMap = dataMap;
    }

    public Map<String, BusinessRuleDto> getRuleConfigMap() {
        return ruleConfigMap;
    }

    public void setRuleConfigMap(Map<String, BusinessRuleDto> ruleConfigMap) {
        this.ruleConfigMap = ruleConfigMap;
    }

    public List<String> getRuleNoList() {
        return ruleNoList;
    }

    public void setRuleNoList(List<String> ruleNoList) {
        this.ruleNoList = ruleNoList;
    }
}
